### Function

# Camel FolderQuotaInfo new

since: 2.24

#### Declaration [src]

    CamelFolderQuotaInfo*
    camel_folder_quota_info_new (
      const gchar* name,
      guint64 used,
      guint64 total
    )

#### Description

No description available.

Available since: 2.24

#### Parameters

`name`

  Type: `const gchar*`

  Name of the quota.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`used`

  Type: `guint64`

  Current usage of the quota.

`total`

  Type: `guint64`

  Total available size of the quota.

#### Return value

Type: `CamelFolderQuotaInfo`

Newly allocated `CamelFolderQuotaInfo` structure with initialized values based on the parameters, with next member set to NULL.

The caller of the function takes ownership of the data, and is responsible for freeing it.